UbixOS V2 2.0

Data Fields
read_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for read_args:

## Data Fields
void * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
size_t | nbyte
char | nbyte_l_ [0]
char | nbyte_r_ [(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]

## Detailed Description

Definition at line 487 of file sysproto_posix.h.

## Field Documentation

## ◆ buf

void* read_args::buf

Definition at line 492 of file sysproto_posix.h.

Referenced by read().

## ◆ buf_l_

char read_args::buf_l_[0]

Definition at line 491 of file sysproto_posix.h.

## ◆ buf_r_

char read_args::buf_r_[(sizeof(register_t)<=sizeof(void *) ? 0 :sizeof(register_t) - sizeof(void *))]

Definition at line 493 of file sysproto_posix.h.

## ◆ fd

int read_args::fd

Definition at line 489 of file sysproto_posix.h.

Referenced by read().

## ◆ fd_l_

char read_args::fd_l_[0]

Definition at line 488 of file sysproto_posix.h.

## ◆ fd_r_

char read_args::fd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 490 of file sysproto_posix.h.

## ◆ nbyte

size_t read_args::nbyte

Definition at line 495 of file sysproto_posix.h.

Referenced by read().

## ◆ nbyte_l_

char read_args::nbyte_l_[0]

Definition at line 494 of file sysproto_posix.h.

## ◆ nbyte_r_

char read_args::nbyte_r_[(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]

Definition at line 496 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h